package jPDFOptimizerSamples;

import javax.swing.JApplet;
import javax.swing.UIManager;

public class PDFOptimizerApplet extends JApplet
{
	public PDFOptimizerApplet()
	{
		super();
		init();
	}

	public void init()
	{
		setLookAndFeel();
		PDFOptimizerPanel securePanel = new PDFOptimizerPanel();
		securePanel.getjpAPI().setVisible(false);
		this.setContentPane(securePanel);
		this.setSize((int)(710 * SampleUtil.getDPIScalingMultiplier()), (int)(700 * SampleUtil.getDPIScalingMultiplier()));
	}

	private void setLookAndFeel()
	{
		// Set the look and feel
		try
		{
			UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
		}
		catch (Throwable t)
		{
			try
			{
				UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
			}
			catch (Throwable tt)
			{
				// ignore
			}
		}
	}

	public static void main(String[] args)
	{
		PDFOptimizerApplet applet = new PDFOptimizerApplet();
		applet.setVisible(true);
	}
}
