package jPDFOptimizerSamples;

import com.qoppa.pdfOptimizer.OptSettings;
import com.qoppa.pdfOptimizer.PDFOptimizer;

public class PDFOptimizerSample
{
    public static void main (String [] args)
    {
        try
        {
            // Load the document
            PDFOptimizer pdfOptimize = new PDFOptimizer ("input.pdf", null);
            
            // Create optimization object, set some optimizations options
            OptSettings opts = new OptSettings();
            opts.setDiscardAnnotations(true);
            opts.setDiscardFormFields(true);

            // Optimize and save the document
            pdfOptimize.optimize(opts, "output.pdf");
        }
        catch (Throwable t)
        {
            t.printStackTrace();
        }
    }
}
